<back to all web services

SendForTranslation

The following routes are available for this service:
POST/RestApi/translations/translate
"use strict";
export class CreateProject {
    /** @param {{Title?:string,StartDate?:string,EndDate?:string,Description?:string,Connector?:string,PoReference?:string,ActualSourceLanguage?:string}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {string} */
    Title;
    /** @type {?string} */
    StartDate;
    /** @type {?string} */
    EndDate;
    /** @type {string} */
    Description;
    /** @type {string} */
    Connector;
    /** @type {string} */
    PoReference;
    /** @type {string} */
    ActualSourceLanguage;
}
export class SendForTranslation {
    /** @param {{Ids?:string[],ProjectData?:CreateProject}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {string[]} */
    Ids;
    /** @type {CreateProject} */
    ProjectData;
}

JavaScript SendForTranslation DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/translate HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
Content-Type: application/json
Content-Length: length

{"ProjectData":{"Title":"String","StartDate":"\/Date(-62135596800000-0000)\/","EndDate":"\/Date(-62135596800000-0000)\/","Description":"String","Connector":"String","PoReference":"String","ActualSourceLanguage":"String"}}